package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.person</code>
 * (previously <code>p2j_test.person</code>).
 * <p>
 * Test table with variety of indexes
 */
public interface Person
extends DataModelObject
{
   /**
    * Getter: Site ID
    * 
    * @return  Site ID
    */
   public integer getSiteId();

   /**
    * Setter: Site ID
    * 
    * @param   siteId
    *          Site ID
    */
   public void setSiteId(NumberType siteId);

   /**
    * Getter: empNum
    * 
    * @return  empNum
    */
   public integer getEmpNum();

   /**
    * Setter: empNum
    * 
    * @param   empNum
    *          empNum
    */
   public void setEmpNum(NumberType empNum);

   /**
    * Getter: First
    * 
    * @return  First
    */
   public character getFirstName();

   /**
    * Setter: First
    * 
    * @param   firstName
    *          First
    */
   public void setFirstName(Text firstName);

   /**
    * Getter: Last
    * 
    * @return  Last
    */
   public character getLastName();

   /**
    * Setter: Last
    * 
    * @param   lastName
    *          Last
    */
   public void setLastName(Text lastName);

   /**
    * Getter: MI
    * 
    * @return  MI
    */
   public character getMiddleInit();

   /**
    * Setter: MI
    * 
    * @param   middleInit
    *          MI
    */
   public void setMiddleInit(Text middleInit);

   /**
    * Getter: SSN
    * 
    * @return  SSN
    */
   public character getSsn();

   /**
    * Setter: SSN
    * 
    * @param   ssn
    *          SSN
    */
   public void setSsn(Text ssn);

   /**
    * Getter: Pay Type
    * 
    * @return  Pay Type
    */
   public character getPayType();

   /**
    * Setter: Pay Type
    * 
    * @param   payType
    *          Pay Type
    */
   public void setPayType(Text payType);

   /**
    * Getter: Hired
    * 
    * @return  Hired
    */
   public date getHireDate();

   /**
    * Setter: Hired
    * 
    * @param   hireDate
    *          Hired
    */
   public void setHireDate(date hireDate);

   /**
    * Getter: Terminated L
    * 
    * @return  Terminated L
    */
   public date getTermDate();

   /**
    * Setter: Terminated L
    * 
    * @param   termDate
    *          Terminated L
    */
   public void setTermDate(date termDate);

   /**
    * Getter: comments
    * 
    * @return  comments
    */
   public character getComments();

   /**
    * Setter: comments
    * 
    * @param   comments
    *          comments
    */
   public void setComments(Text comments);

   /**
    * Getter: Area Code
    * 
    * @return  Area Code
    */
   public character getAreaCode();

   /**
    * Setter: Area Code
    * 
    * @param   areaCode
    *          Area Code
    */
   public void setAreaCode(Text areaCode);

   /**
    * Getter: Phone
    * 
    * @return  Phone
    */
   public character getPhoneNumber();

   /**
    * Setter: Phone
    * 
    * @param   phoneNumber
    *          Phone
    */
   public void setPhoneNumber(Text phoneNumber);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension1();

   /**
    * Setter: Ext
    * 
    * @param   extension1
    *          Ext
    */
   public void setExtension1(Text extension1);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension2();

   /**
    * Setter: Ext
    * 
    * @param   extension2
    *          Ext
    */
   public void setExtension2(Text extension2);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension3();

   /**
    * Setter: Ext
    * 
    * @param   extension3
    *          Ext
    */
   public void setExtension3(Text extension3);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension4();

   /**
    * Setter: Ext
    * 
    * @param   extension4
    *          Ext
    */
   public void setExtension4(Text extension4);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension5();

   /**
    * Setter: Ext
    * 
    * @param   extension5
    *          Ext
    */
   public void setExtension5(Text extension5);

   /**
    * Getter: Ext
    * 
    * @return  Ext
    */
   public character getExtension6();

   /**
    * Setter: Ext
    * 
    * @param   extension6
    *          Ext
    */
   public void setExtension6(Text extension6);

   /**
    * Getter: email
    * 
    * @return  email
    */
   public character[] getEmail();

   /**
    * Indexed Getter: email
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          3</code>).
    * 
    * @return  email
    */
   public character getEmail(int index);

   /**
    * Indexed Getter: email
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          3</code>).
    * 
    * @return  email
    */
   public character getEmail(NumberType index);

   /**
    * Indexed Setter: email
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          3</code>).
    * @param   element
    *          email
    */
   public void setEmail(int index, Text element);

   /**
    * Indexed Setter: email
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt;
    *          3</code>).
    * @param   element
    *          email
    */
   public void setEmail(NumberType index, Text element);

   /**
    * Getter: scheduleFirst
    * 
    * @return  scheduleFirst
    */
   public character getScheduleFirst();

   /**
    * Setter: scheduleFirst
    * 
    * @param   scheduleFirst
    *          scheduleFirst
    */
   public void setScheduleFirst(Text scheduleFirst);

   /**
    * Getter: scheduleSecond
    * 
    * @return  scheduleSecond
    */
   public character getScheduleSecond();

   /**
    * Setter: scheduleSecond
    * 
    * @param   scheduleSecond
    *          scheduleSecond
    */
   public void setScheduleSecond(Text scheduleSecond);

   /**
    * Getter: scheduleThird
    * 
    * @return  scheduleThird
    */
   public character getScheduleThird();

   /**
    * Setter: scheduleThird
    * 
    * @param   scheduleThird
    *          scheduleThird
    */
   public void setScheduleThird(Text scheduleThird);

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer getHours1();

   /**
    * Setter: Hours
    * 
    * @param   hours1
    *          Hours
    */
   public void setHours1(NumberType hours1);

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer getHours2();

   /**
    * Setter: Hours
    * 
    * @param   hours2
    *          Hours
    */
   public void setHours2(NumberType hours2);

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer getHours3();

   /**
    * Setter: Hours
    * 
    * @param   hours3
    *          Hours
    */
   public void setHours3(NumberType hours3);

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer getHours4();

   /**
    * Setter: Hours
    * 
    * @param   hours4
    *          Hours
    */
   public void setHours4(NumberType hours4);

   /**
    * Getter: Hours
    * 
    * @return  Hours
    */
   public integer getHours5();

   /**
    * Setter: Hours
    * 
    * @param   hours5
    *          Hours
    */
   public void setHours5(NumberType hours5);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends Person, Buffer
   {
   }
}
